/*
 In this example, the path of the mouse is drawn as the mouse moves.
 
 A mouse click clears the background.
 */

// This function is executed only once, at the very beginning
void setup() {
  size(500, 400);
  background(255);
  strokeWeight(3);
}


// This function is repeatedly call in an implicit loop.
// A single call is responsible for drawing a single frame.
void draw() {
  line(mouseX, mouseY, pmouseX, pmouseY);
}

void mouseClicked() {
  background(255);
}

