/*
  In this example, the canvas is painted with a trail of circles,
  based on following the mouse position.

  Pressing the mouse causes a new random fill color to be selected.
*/

// This function is executed only once, at the very beginning
void setup() {
  size(500,400);
  background(255);
  fill(128, 128, 255);
}


// This function is repeatedly call in an implicit loop.
// A single call is responsible for drawing a single frame.
void draw() {
  ellipse(mouseX, mouseY, 20, 20);
}


void mousePressed() {
   fill(random(255), random(255), random(255)); 
}
